Subject: bug#21430: 25.0.50; resizing window in exwm crashes emacs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Sep 2015 20:14:26 +0300

> From: [email-masked] (Matthias Güdemann)
> Cc: martin rudalics <[email-masked]>,  [email-masked]
> Date: Tue, 08 Sep 2015 17:49:41 +0100
> 
> >>>>> "Eli" == Eli Zaretskii <[email-masked]> writes:
> 
> Eli> I think we still have one more bug that was uncovered by this
> Eli> report: Fsignal aborted trying to report a wrong-type-arg error.
> Eli> That shouldn't happen, and IMO we should continue looking into
> Eli> that, even if the root cause which caused Fsignal to be invoked is
> Eli> gone.
> 
> if you wish, I can go back to an older commit, rebuild emacs from there
> and try to reproduce the bug there.

Yes, that would be useful.  Thanks.

> Which build options would be most helpful

Please use CFLAGS='-O0 -g3' and --enable-checking='yes'

> Which commit should I use?

6cd2629bd1b3ce77d29ac28e29237c94a4197116 seems like a good place.